import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
	www:'',//网址
	newsList: {}, // 新闻信息
	partakeList: [], // 我要参与
	cityNewsList: [], // 市红十字会新闻
	publicityList: [], // 公示/公告
	countyNewsList: [] ,// 县市区红十字新闻 
	newsList: [] ,// 新闻列表
	lawList: [] ,// 政策法规
	contactus: [] ,// 联系我们
	introduce: [] ,// 组织介绍
	business: [] ,// 核心业务
	rotation: [] ,//轮播图
	rankingList: [],
	wallList: [] //志愿者
	
  },
  mutations: {
	  setPartakeList(state, provider) {
	  	state.partakeList = provider;
	  },
	  setCityNewsList(state, provider) {
	  	state.cityNewsList = provider;
	  },
	  setPublicityList(state, provider) {
	  	state.publicityList = provider;
	  },
	  setCountyNewsList(state, provider) {
	  	state.countyNewsList = provider;
	  },
	  setNewsList(state, provider) {
	  	state.newsList = provider;
	  },
	  setLawList(state, provider) {
	  	state.lawList = provider;
	  },
	  setContactus(state, provider) {
	  	state.contactus = provider;
	  },
	  setIntroduce(state, provider) {
	  	state.introduce = provider;
	  },
	  setBusiness(state, provider) {
	  	state.business = provider;
	  },
	  setRotation(state, provider) {
	  	state.rotation = provider;
	  },
	  setRankingList(state, provider) {
	  	state.rankingList = provider;
	  },
	  setWallList(state, provider) {
	  	state.wallList = provider;
	  },
  },
  actions: {
	  
  },
  modules: {
	  
  }
})
